[arch-commits] CVS update of extra/network/evolution (PKGBUILD bgo407104.patch)

Jan de Groot jgc at archlinux.org
Wed May 30 15:23:12 UTC 2007


    Date: Wednesday, May 30, 2007 @ 11:23:12
  Author: jgc
    Path: /home/cvs-extra/extra/network/evolution

Modified: PKGBUILD (1.57 -> 1.58) bgo407104.patch (1.1 -> 1.2)

upgpkg: evolution 2.10.2-1


-----------------+
 PKGBUILD        |   19 +++++++++---------
 bgo407104.patch |   55 ++++++++++--------------------------------------------
 2 files changed, 21 insertions(+), 53 deletions(-)


Index: extra/network/evolution/PKGBUILD
diff -u extra/network/evolution/PKGBUILD:1.57 extra/network/evolution/PKGBUILD:1.58
--- extra/network/evolution/PKGBUILD:1.57	Sun Apr 22 14:19:37 2007
+++ extra/network/evolution/PKGBUILD	Wed May 30 11:23:12 2007
@@ -1,22 +1,23 @@
-# $Id: PKGBUILD,v 1.57 2007/04/22 18:19:37 jgc Exp $
+# $Id: PKGBUILD,v 1.58 2007/05/30 15:23:12 jgc Exp $
 # Maintainer: dale <dale at archlinux.org>
 
 pkgname=evolution
-pkgver=2.10.1
-pkgrel=2
+pkgver=2.10.2
+pkgrel=1
 pkgdesc="Integrated Workgroup and Personal Information Management for Gnome"
-arch=(i686 x86_64)
+arch=('i686' 'x86_64')
 license=('GPL')
-depends=('libnetworkmanager>=0.6.4' 'libnotify>=0.4.4' 'gtkhtml>=3.14.1-2' 'evolution-data-server>=1.10.1-2' 'libgnomeprintui>=2.18.0' 'scrollkeeper')
+depends=('libnetworkmanager>=0.6.5' 'libnotify>=0.4.4' 'gtkhtml>=3.14.2' 'evolution-data-server>=1.10.2' 'libgnomeprintui>=2.18.0' 'scrollkeeper')
 makedepends=('perlxml' 'gnome-pilot>=2.0.15-2' 'pkgconfig' 'gnome-doc-utils>=0.10.3')
-options=('nolibtool')
+options=('!libtool')
 install=evolution.install
 url=(http://www.gnome.org/projects/evolution/)
 source=(http://ftp.gnome.org/pub/gnome/sources/${pkgname}/2.10/${pkgname}-${pkgver}.tar.bz2
 	new-mail-notify-unresolved-symbols.patch
 	bgo407104.patch)
-md5sums=('16051c6cbb617cb04665e402566e0976' '3d02da4cc6cbaf63381a23a08bdc52ba'
-         '4f17e0923085ba40c597fe83a833f2a5')
+md5sums=('4b495be7f5e146ce7b5807134586336e'
+         '3d02da4cc6cbaf63381a23a08bdc52ba'
+         'e27cb071ca4e40e34b8d69c916211116')
 
 build() {
   cd ${startdir}/src/${pkgname}-${pkgver}
@@ -26,7 +27,7 @@
     sed -i -e 's/-scrollkeeper-update.*//' omf.make
   fi
   patch -Np1 -i ${startdir}/src/new-mail-notify-unresolved-symbols.patch || return 1
-  patch -Np0 -i ${startdir}/src/bgo407104.patch || return 1
+  patch -Np1 -i ${startdir}/src/bgo407104.patch || return 1
 
   sed -i -e 's/@ENABLE_SK_TRUE at _s/_s/' help/Makefile.in
   ./configure --prefix=/usr --sysconfdir=/etc \
Index: extra/network/evolution/bgo407104.patch
diff -u extra/network/evolution/bgo407104.patch:1.1 extra/network/evolution/bgo407104.patch:1.2
--- extra/network/evolution/bgo407104.patch:1.1	Sun Apr 22 14:19:37 2007
+++ extra/network/evolution/bgo407104.patch	Wed May 30 11:23:12 2007
@@ -1,47 +1,14 @@
-Index: shell/e-shell.c
-===================================================================
---- shell/e-shell.c	(revision 33440)
-+++ shell/e-shell.c	(working copy)
-@@ -257,8 +257,8 @@ impl_Shell_handleURI (PortableServer_Ser
- {
- 	EShell *shell = E_SHELL (bonobo_object_from_servant (servant));
- 	EComponentInfo *component_info;
-+	GtkWidget *shell_window;
- 	char *schema, *p;
--	int show = FALSE;
+--- trunk/calendar/gui/GNOME_Evolution_Calendar.server.in.in	2007/05/14 04:24:13	33537
++++ trunk/calendar/gui/GNOME_Evolution_Calendar.server.in.in	2007/05/14 04:36:18	33538
+@@ -50,9 +50,11 @@
+         <oaf_attribute name="evolution:button_icon" type="string" value="stock_calendar"/>
+ 	<oaf_attribute name="evolution:button_sort_order" type="string" value="-8"/>
  
- 	schema = g_alloca(strlen(uri)+1);
- 	strcpy(schema, uri);
-@@ -267,26 +267,20 @@ impl_Shell_handleURI (PortableServer_Ser
- 		*p = 0;
++<!-- FIXME: See bug 407104: Write a interface to launch without shell.
+         <oaf_attribute name="evolution:uri_schemas" type="stringv">
+           <item value="calendar"/>
+         </oaf_attribute>
++-->
  
-  	component_info = e_component_registry_peek_info(shell->priv->component_registry, ECR_FIELD_SCHEMA, schema);
--	if (component_info == NULL) {
--		show = TRUE;
-+	if (component_info == NULL)
- 		component_info = e_component_registry_peek_info(shell->priv->component_registry, ECR_FIELD_ALIAS, schema);
--	}
+ </oaf_server>
  
- 	if (component_info == NULL) {
- 		CORBA_exception_set (ev, CORBA_USER_EXCEPTION, ex_GNOME_Evolution_Shell_UnsupportedSchema, NULL);
- 		return;
- 	}
- 
--	if (show) {
--		GtkWidget *shell_window;
--		
--		shell_window = (GtkWidget *)e_shell_create_window (shell, component_info->id, NULL);
--		if (shell_window == NULL) {
--			CORBA_exception_set (ev, CORBA_USER_EXCEPTION, ex_GNOME_Evolution_Shell_ComponentNotFound, NULL);
--			return;
--		}
-+	shell_window = (GtkWidget *)e_shell_create_window (shell, component_info->id, NULL);
-+	if (shell_window == NULL) {
-+		CORBA_exception_set (ev, CORBA_USER_EXCEPTION, ex_GNOME_Evolution_Shell_ComponentNotFound, NULL);
-+		return;
- 	}
--	
-+
- 	GNOME_Evolution_Component_handleURI (component_info->iface, uri, ev);
- 	/* not an error not to implement it */
- 	if (ev->_id != NULL && strcmp(ev->_id, ex_CORBA_NO_IMPLEMENT) == 0)




More information about the arch-commits mailing list